• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

groovy scripts are deprecated

Mouth

Well-known member
#1
Elasticsearch v5.1.1

Within /var/log/elasticsearch/elasticsearch_deprecated.log I many entries like;

Code:
[2017-01-01T10:37:23,233][WARN ][o.e.d.s.g.GroovyScriptEngineService] [groovy] scripts are deprecated, use [painless] scripts instead
Code:
# ls -al /etc/elasticsearch/scripts/
total 16
drwxr-x--- 2 root elasticsearch 4096 Jan  1 10:30 .
drwxr-x--- 3 root elasticsearch 4096 Jan  1 10:30 ..
-rw-r--r-- 1 root root            82 Nov  2 01:07 xf-date-weighted.groovy
-rw-r--r-- 1 root root            96 Nov  2 01:07 xf-date-weighted.mvel